package djmil.cordacheckers.cordaclient.dao;

public class Stone {
    
    public enum Type {
        MAN,
        KING;
    }

    public enum Color {
        WHITE,
        BLACK;

        public Color opposite() {
            return this == WHITE ? BLACK : WHITE;
        }
    }

    Color color;
    Type type;

    public Stone() {
        this.color = null;
        this.type = null;
    }

    public Stone(Color color, Type type) {
        this.color = color;
        this.type = type;
    }

    public Color getColor() {
        return color;
    }

    public Type getType() {
        return type;
    }

    @Override
    public String toString() {
        return color +"." +type;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Stone other = (Stone) obj;
        if (color != other.color)
            return false;
        if (type != other.type)
            return false;
        return true;
    }

}
