import React, { useContext } from 'react';
import Wobler from '../../../components/Wobler';
import { GamesContext } from '../../../context/games';

export default function Cancel({ onClick }) {
    const games = useContext(GamesContext);

    const selectedGame = games.findGame({ uuid: games.proposal.selectedUUID });

    if (selectedGame?.status === 'GAME_PROPOSAL_WAIT_FOR_OPPONENT')
        return (
            <button className='Cancel' onClick={() => onClick({ uuid: games.proposal.selectedUUID })} >
                <Wobler text="Cancel" dance={games.isPushingGameProposalCancel} />
            </button>
        )
}
